Subject: bug#7190: Crash in menus on w32

From: grischka <[email-masked]>
Date: Wed, 13 Oct 2010 13:02:21 +0200

> I assume that their is either a logical problem with the code inside
> Emacs or a bad assumption on how menu callbacks are actually run. 

Is there a difference between logical problem and bad assumption?

> By
> adding DebPrint call we could perhaps see if some code where called in
> an order we did not expect.

Perhaps see the information that you already have?  For example
   #7  0x011c4e4b in w32_free_submenu_strings (menu=0x205e3) at w32menu.c:1701
is telling where is "some code", and
   "Invalid Address specified to RtlFreeHeap( 00850000, 0088BDC8 )"
is telling about "order we did not expect", as likely in:  Called
twice for the same memory object.  If in doubt, try to prove that
it can't happen.